xprep(1)

NAME
xprep - prepare one or more files for access

SYNOPSIS
xprep [options] target [paths]
options: [-d n] [-f fn] [-p prty] [-s] [-S] [-w]
target:  host[:port][,target]
paths:   path [paths]

DESCRIPTION
The xprep utility prepares one or more files for subsequent access by an application. Usage synopsis can be displayed by typing "xprep". Currently, only the usage synopsis is available as documentation.

OPTIONS
-d lvl
    debug level: 1 (low), 2 (medium), 3 (high)
-f fname
    specifies that the file, fname, contains the list of files to prepare. Each file name must be on a separate line.
-p prty
    schedule the request the the specified priority, prty. The lowest priority is 0.
     Depending on the system configuration, priorities may or may not be honored.
-s
    requests that the file be copied into the cluster should it not be found online (i.e. stage). Depending on the system configuration, staging may or may not be honored.
-S
    requests that the file be copied into the cluster should it not be found on the same server as the first file in the specified list of files When the file is copied it is co-located with the first file in the list of files, if sufficient space exists on the target server. Depending on the system configuration, co-location may or may not be honored.
-w
    when staging or co-locating the file, copy the file to a space that allows file modification (i.e. the file will be modified). Depending on the system configuration, stage to writable space may or may not be honored.

OPERANDS
target
    is the redirector's hostname and optional port number where the prepare is to occur. If the prepare is to occur on more than one redirector, specified each one separated by a comma.
paths
    are the files to be prepared. Specify one or more files separated by a space. to occur. If the prepare is to occur on more than one redirector, specified each one separated by a comma. If fB-f is specified, you need not specify any files on the command line. Files specified on the command line are always processed first.

NOTES
Unless the -s or -S option is specified, file preparation merely seeds the redirector's location cache. This allows the look-ups for prepared files to progress much faster in the future. Documentation for all components associated with xprep can be found at http://xrootd.org/docs.html

DIAGNOSTICS
Errors yield an error message and a non-zero exit status.

LICENSE
License terms can be displayed by typing "xrootd -H".

SUPPORT LEVEL
The xprep command is supported by the xrootd collaboration. Contact information can be found at
http://xrootd.org/contact.html